############################################################################
#                                                                          #
#  Copyright (c) 2001, 2021 NoMachine, http://www.nomachine.com.           #
#                                                                          #
#  NXNODE, NX protocol compression and NX extensions to this software      #
#  are copyright of NoMachine. Redistribution and use of the present       #
#  software is allowed according to terms specified in the file LICENSE    #
#  which comes in the source distribution.                                 #
#                                                                          #
#  Check http://www.nomachine.com/licensing.html for applicability.        #
#                                                                          #
#  NX and NoMachine are trademarks of NoMachine S.a.r.l.                   #
#                                                                          #
#  All rights reserved.                                                    #
#                                                                          #
############################################################################
package Common::NXPaths;no warnings;require Common::NXFile;(
$NXPaths::cacheUserHomeDirectory=(""));((%NXPaths::cacheRealUserHomePath)=());((
%NXPaths::cacheNXDirPerUserPath)=());sub __isNXDirPerUserCached{(my $username=
shift (@_));if (($username eq (""))){return ((0x1c01+ 1510-0x21e7));}if (exists 
($NXPaths::cacheNXDirPerUserPath{$username})){return ((0x119f+ 4833-0x247f));}
else{return ((0x0407+ 4889-0x1720));}}sub __setNXDirPerUserCached{(my $username=
shift (@_));(my $userNxDir=__handleUserNXDirectoryPathForUser ($username));(
$NXPaths::cacheNXDirPerUserPath{$username}=$userNxDir);}sub 
__setUsersNXDirPerUserCached{(my $username=shift (@_));(my $userNxDir=
__handleUsersDirectoryPathForUser ($username));($NXPaths::cacheNXDirPerUserPath{
$username}=$userNxDir);}sub __getNXDirPerUserCached{(my $username=shift (@_));
return ($NXPaths::cacheNXDirPerUserPath{$username});}sub __isRealUserHomeCached{
(my $username=shift (@_));if (($username eq (""))){return ((0x0d91+ 3918-0x1cdf)
);}if (exists ($NXPaths::cacheRealUserHomePath{$username})){return (
(0x105a+ 3974-0x1fdf));}else{return ((0x03c4+ 2523-0x0d9f));}}sub 
__setRealUserHomeCached{(my $username=shift (@_));(my $homePath=
__getUserHomeDirectoryByUsername ($username));($NXPaths::cacheRealUserHomePath{
$username}=$homePath);}sub __getRealUserHomeCached{(my $username=shift (@_));
return ($NXPaths::cacheRealUserHomePath{$username});}sub 
__getUserHomeDirectoryWindows{(my $username=shift (@_));(my $size=
(0x1464+ 3422-0x20bd));(my $homeBuffer=("\x20" x $size));(my $length=($size-
(0x0052+ 5135-0x1460)));(my $ret=libnxh::NXHomeDirGet ($homeBuffer,$length,
$username));if (($ret==(-(0x0d19+ 3267-0x19db)))){Logger::debug (((
"\x55\x73\x65\x72\x20".$username).
"\x20\x68\x6f\x6d\x65\x64\x69\x72\x65\x20\x72\x65\x64\x69\x72\x65\x63\x74\x20\x74\x6f\x20\x75\x73\x65\x72\x20\x6e\x78\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x20\x70\x61\x74\x68\x2e"
));return (((getSystemTMPPath ().$GLOBAL::DIRECTORY_SLASH).$username));}(my (
@buffer)=split ( /\000/ ,$homeBuffer,(0x17c2+ 1896-0x1f2a)));Logger::debug (((((
"\x55\x73\x65\x72\x20\x27".$username).
"\x27\x20\x68\x6f\x6d\x65\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x20\x27").
$buffer[(0x0c2c+ 6722-0x266e)])."\x27\x2e"));return ($buffer[
(0x0134+ 9056-0x2494)]);}sub getFailbackHomeDirectoryPathFromNXTemp{return (((
getSystemTMPPath ().$GLOBAL::DIRECTORY_SLASH).
"\x6e\x78\x54\x6d\x70\x48\x6f\x6d\x65"));}sub 
getNxDirectoryInEffectiveUserHomeDirectory{return (((
getEffectiveUserHomeDirectory ().$GLOBAL::DIRECTORY_SLASH)."\x2e\x6e\x78"));}sub
 getNxDirectoryInUserHomeDirectory{(my $username=shift (@_));return (((
getUserHomeDirectory ($username).$GLOBAL::DIRECTORY_SLASH)."\x2e\x6e\x78"));}sub
 getHomeDirectoryOfDesktopOwnerWindows{(my ($userName,$tmp)=
NXLocalSession::getDisplayOwnerAndType ());if (((not (defined ($userName)))or (
$userName eq ("")))){(my $failbackDirectory=
getFailbackHomeDirectoryPathFromNXTemp ());Logger::debug ((
"\x43\x61\x6e\x6e\x6f\x74\x20\x67\x65\x74\x20\x64\x65\x73\x6b\x74\x6f\x70\x20\x6f\x77\x6e\x65\x72\x20\x75\x73\x65\x72\x6e\x61\x6d\x65\x20\x79\x65\x74\x2e\x20\x53\x65\x74\x74\x69\x6e\x67\x20\x74\x65\x6d\x70\x6f\x72\x61\x72\x79\x20\x68\x6f\x6d\x65\x20\x64\x69\x72\x20\x74\x6f\x20"
.$failbackDirectory));return ($failbackDirectory);}return (
__getUserHomeDirectoryWindows ($userName));}sub 
getNxDirectoryInHomeOfDesktopOwnerOnWindows{(my $ref_errorName=shift (@_));(my (
$userName,$tmp)=NXLocalSession::getDisplayOwnerAndType ());my (
$userDirectoryPath);if ((($GLOBAL::UsersDirectoryPath ne (""))and ($userName ne 
"\x6e\x78"))){($userDirectoryPath=__handleUsersDirectoryPathForUser ($userName))
;}elsif (($GLOBAL::UserNXDirectoryPath ne (""))){($userDirectoryPath=
__handleUserNXDirectoryPathForUser ($userName));}else{if (((not (defined (
$userName)))or ($userName eq ("")))){($userDirectoryPath=
getFailbackHomeDirectoryPathFromNXTemp ());Logger::debug ((
"\x43\x61\x6e\x6e\x6f\x74\x20\x67\x65\x74\x20\x64\x65\x73\x6b\x74\x6f\x70\x20\x6f\x77\x6e\x65\x72\x20\x75\x73\x65\x72\x6e\x61\x6d\x65\x20\x79\x65\x74\x2e\x20\x53\x65\x74\x74\x69\x6e\x67\x20\x74\x65\x6d\x70\x6f\x72\x61\x72\x79\x20\x68\x6f\x6d\x65\x20\x64\x69\x72\x20\x74\x6f\x20"
.$userDirectoryPath));}else{($userDirectoryPath=__getUserHomeDirectoryWindows (
$userName));}}(my $nxDirectoryPath=(($userDirectoryPath.$GLOBAL::DIRECTORY_SLASH
)."\x2e\x6e\x78"));if ((not (Common::NXFile::directoryExists ($nxDirectoryPath))
)){Logger::debug (((
"\x2e\x6e\x78\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x20\x69\x6e\x20\x75\x73\x65\x72\x27\x73\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x20\x64\x6f\x65\x73\x20\x6e\x6f\x74\x20\x65\x78\x69\x73\x74\x2e\x20\x43\x72\x65\x61\x74\x69\x6e\x67\x20\x61\x74\x20"
.$nxDirectoryPath)."\x2e"));if ((not (
NXPaths::createAndCorrectUserNXDirectoryOnWindows ($nxDirectoryPath,
$ref_errorName)))){Logger::warning (((
"\x43\x6f\x75\x6c\x64\x20\x6e\x6f\x74\x20\x73\x65\x74\x20\x77\x6f\x72\x6b\x69\x6e\x67\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x20\x61\x74\x20"
.$nxDirectoryPath)."\x2e"));}}return ($nxDirectoryPath);}sub 
getEffectiveUserHomeDirectory{return (getUserHomeDirectory (
Common::NXCore::getEffectiveUsername ()));}sub getUserXauthorityFile{(my $path=(
getUserRealHomeDirectoryByEffectiveUser ().
"\x2f\x2e\x58\x61\x75\x74\x68\x6f\x72\x69\x74\x79"));return ($path);}sub 
__getUserHomeDirectoryByUsername{(my $userName=shift (@_));return (
__getUserHomeDirectoryUnix ($userName));}sub __getUserHomeDirectoryUnix{(my $userName
=shift (@_));return (Common::NXCore::userInfoGetDirByUsername ($userName));}sub 
getUserRealHomeDirectoryByEffectiveUser{(my $username=
Common::NXCore::getEffectiveUsername ());if (($username eq (""))){
Common::NXCore::reportErrorFromNXPL (
"\x43\x61\x6e\x6e\x6f\x74\x20\x67\x65\x74\x20\x65\x66\x66\x65\x63\x74\x69\x76\x65\x20\x75\x73\x65\x72\x6e\x61\x6d\x65\x2e"
);main::nxexit ((0x124a+ 2611-0x1c7c));}return (
getUserRealHomeDirectoryByUsername ($username));}sub 
getUserRealHomeDirectoryByUsername{(my $username=shift (@_));if (
__isRealUserHomeCached ($username)){return (__getRealUserHomeCached ($username))
;}else{__setRealUserHomeCached ($username);return (__getRealUserHomeCached (
$username));}}sub getUserHomeDirectory{(my $userName=shift (@_));if ((($userName
 eq (""))or (not (defined ($userName))))){Logger::error (
"\x43\x61\x6e\x20\x6e\x6f\x74\x20\x72\x65\x74\x72\x69\x65\x76\x65\x20\x68\x6f\x6d\x65\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x20\x66\x6f\x72\x20\x65\x6d\x70\x74\x79\x20\x75\x73\x65\x72\x6e\x61\x6d\x65\x2e"
);main::nxexit ((0x1b29+ 1844-0x225c));}if ((($GLOBAL::UsersDirectoryPath ne 
(""))and ($userName ne "\x6e\x78"))){if (__isNXDirPerUserCached ($userName)){
return (__getNXDirPerUserCached ($userName));}__setUsersNXDirPerUserCached (
$userName);return (__getNXDirPerUserCached ($userName));}elsif ((
$GLOBAL::UserNXDirectoryPath ne (""))){if (__isNXDirPerUserCached ($userName)){
return (__getNXDirPerUserCached ($userName));}__setNXDirPerUserCached ($userName
);return (__getNXDirPerUserCached ($userName));}else{return (
getUserRealHomeDirectoryByUsername ($userName));}}sub getLanguageFile{(my $language
=shift (@_));(my $languageFile=((((($GLOBAL::NODE_ROOT.$GLOBAL::DIRECTORY_SLASH)
."\x73\x68\x61\x72\x65").$GLOBAL::DIRECTORY_SLASH)."\x6c\x6f\x63\x61\x6c\x65").
$GLOBAL::DIRECTORY_SLASH));($languageFile.=(
"\x6e\x78\x73\x65\x72\x76\x65\x72\x5f".$language));return ($languageFile);}sub 
getUserNXHomeDir{if (defined ($NXPaths::UserNXHomeDir)){return (
$NXPaths::UserNXHomeDir);}($NXPaths::UserNXHomeDir=
"\x2f\x76\x61\x72\x2f\x4e\x58\x2f\x6e\x78");return ($NXPaths::UserNXHomeDir);}
sub __handleUsersDirectoryPathForUser{(my $user=shift (@_));(my $ref_errorName=
shift (@_));if ((not (defined ($user)))){($user=
Common::NXCore::getEffectiveUsername ());}(my $DirPathExist=
(0x002d+ 5392-0x153c));if ((not (Common::NXFile::directoryExists (
$GLOBAL::UsersDirectoryPath)))){Logger::debug ((((("\x55\x73\x65\x72\x20".$user)
.
"\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x20\x64\x6f\x65\x73\x20\x6e\x6f\x74\x20\x65\x78\x69\x73\x74\x2e\x20\x43\x72\x65\x61\x74\x69\x6e\x67\x20\x61\x74\x20"
).$GLOBAL::UsersDirectoryPath)."\x2e"));($DirPathExist=
createAccessibleForAllDirectory ($ref_errorName,$GLOBAL::UsersDirectoryPath));}
if ($DirPathExist){(my $userDirPath=(($GLOBAL::UsersDirectoryPath.
$GLOBAL::DIRECTORY_SLASH).$user));if ((not (Common::NXFile::directoryExists (
$userDirPath)))){Logger::debug ((((("\x55\x73\x65\x72\x20".$user).
"\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x20\x64\x6f\x65\x73\x20\x6e\x6f\x74\x20\x65\x78\x69\x73\x74\x2e\x20\x43\x72\x65\x61\x74\x69\x6e\x67\x20\x61\x74\x20"
).$userDirPath)."\x2e"));if ((createAccessibleForUserDirectory ($ref_errorName,
$userDirPath,$user)==(0x0499+ 4656-0x16c9))){if (((not (defined ($$ref_errorName
)))or ($$ref_errorName eq ("")))){Logger::error (((
"\x43\x61\x6e\x6e\x6f\x74\x20\x63\x72\x65\x61\x74\x65\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x3a\x20"
.$userDirPath)."\x2e"));}else{Logger::error ((((
"\x43\x61\x6e\x6e\x6f\x74\x20\x63\x72\x65\x61\x74\x65\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x3a\x20"
.$userDirPath)."\x2e\x20\x45\x72\x72\x6f\x72\x20\x69\x73\x3a\x20").
$$ref_errorName));}}}return ($userDirPath);}Logger::error ((((
"\x43\x61\x6e\x6e\x6f\x74\x20\x63\x72\x65\x61\x74\x65\x20\x6e\x78\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x20\x66\x6f\x72\x20\x75\x73\x65\x72\x20"
.$users)."\x2e\x20\x45\x72\x72\x6f\x72\x20\x69\x73\x3a\x20").$$ref_errorName));
return (undef);}sub __handleUserNXDirectoryPathForUser{(my $user=shift (@_));(my $ref_errorName
=shift (@_));if ((not (defined ($user)))){($user=
Common::NXCore::getEffectiveUsername ());}(my $DirPathExist=
(0x0d0b+ 4462-0x1e78));if ((not (Common::NXFile::directoryExists (
$GLOBAL::UserNXDirectoryPath)))){Logger::debug (((
"\x55\x73\x65\x72\x20\x6e\x78\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x20\x64\x6f\x65\x73\x20\x6e\x6f\x74\x20\x65\x78\x69\x73\x74\x2e\x20\x43\x72\x65\x61\x74\x69\x6e\x67\x20\x61\x74\x20"
.$GLOBAL::UserNXDirectoryPath)."\x2e"));($DirPathExist=
createAccessibleForAllDirectory ($ref_errorName,$GLOBAL::UserNXDirectoryPath));}
if ($DirPathExist){(my $userDirPath=(($GLOBAL::UserNXDirectoryPath.
$GLOBAL::DIRECTORY_SLASH).$user));if ((not (Common::NXFile::directoryExists (
$userDirPath)))){Logger::debug (((
"\x55\x73\x65\x72\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x20\x64\x6f\x65\x73\x20\x6e\x6f\x74\x20\x65\x78\x69\x73\x74\x2e\x20\x43\x72\x65\x61\x74\x69\x6e\x67\x20\x61\x74\x20"
.$userDirPath)."\x2e"));if ((createAccessibleForUserDirectory ($ref_errorName,
$userDirPath,$user)==(0x05bb+ 5927-0x1ce2))){if (((not (defined ($$ref_errorName
)))or ($$ref_errorName eq ("")))){Logger::error (((
"\x43\x61\x6e\x6e\x6f\x74\x20\x63\x72\x65\x61\x74\x65\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x3a\x20"
.$userDirPath)."\x2e"));}else{Logger::error ((((
"\x43\x61\x6e\x6e\x6f\x74\x20\x63\x72\x65\x61\x74\x65\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x3a\x20"
.$userDirPath)."\x2e\x20\x45\x72\x72\x6f\x72\x20\x69\x73\x3a\x20").
$$ref_errorName));}}}return ($userDirPath);}Logger::error ((
"\x43\x61\x6e\x6e\x6f\x74\x20\x63\x72\x65\x61\x74\x65\x20\x6e\x78\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x20\x66\x6f\x72\x20\x75\x73\x65\x72\x2e\x20\x45\x72\x72\x6f\x72\x20\x69\x73\x3a\x20"
.$$ref_errorName));return (undef);}sub makePath{(my ($ref_errorMessage,$path,
$verbose,$mode)=@_);(my $success=(0x1653+ 1655-0x1cc9));($$ref_errorMessage=("")
);Logger::debug (((((
"\x6c\x69\x62\x6e\x78\x68\x3a\x3a\x4e\x58\x4d\x61\x6b\x65\x50\x61\x74\x68\x28".
$path)."\x2c\x20").$mode)."\x29"));(my $returnValue=libnxh::NXMakePath ($path,
$mode));Logger::debug (((
"\x6c\x69\x62\x6e\x78\x68\x3a\x3a\x4e\x58\x4d\x61\x6b\x65\x50\x61\x74\x68\x20\x72\x65\x74\x75\x72\x6e\x73\x20\x27"
.$returnValue)."\x27\x2e"));if (($returnValue!=(0x00fa+ 3821-0x0fe7))){(my $errorNumber
=libnxh::NXGetError ());($$ref_errorMessage=libnxh::NXGetErrorString ());(
$success=(0x1e30+  47-0x1e5f));Logger::error (((
"\x43\x61\x6e\x6e\x6f\x74\x20\x63\x72\x65\x61\x74\x65\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x3a\x20"
.$path)."\x2e"));Logger::error ((((("\x45\x72\x72\x6f\x72\x20\x69\x73\x3a\x20".
$errorNumber)."\x2c\x20\x27").$$ref_errorMessage)."\x27\x2e"));}return ($success
);}sub rmtree{(my $path=shift (@_));(my $returnValue=libnxh::NXRemovePath ($path
));if (($returnValue!=(0x023f+ 158-0x02dd))){(my $errorNumber=libnxh::NXGetError
 ());(my $errorstring=libnxh::NXGetErrorString ());Logger::error (((
"\x43\x61\x6e\x6e\x6f\x74\x20\x64\x65\x6c\x65\x74\x65\x20\x64\x69\x72\x65\x63\x74\x6f\x72\x79\x3a\x20"
.$path)."\x2e"));Logger::error ((((("\x45\x72\x72\x6f\x72\x20\x69\x73\x3a\x20".
$errorNumber)."\x2c\x20\x27").$errorstring)."\x27\x2e"));return ($returnValue);}
Logger::debug2 (((
"\x72\x6d\x74\x72\x65\x65\x3a\x20\x53\x75\x63\x63\x65\x73\x73\x66\x75\x6c\x6c\x79\x20\x72\x65\x6d\x6f\x76\x65\x64\x20"
.$path)."\x2e"));return ((0x0018+ 3346-0x0d2a));}sub identityServerFilePath{
return ((((((($GLOBAL::NODE_ROOT.$GLOBAL::DIRECTORY_SLASH).
"\x73\x68\x61\x72\x65").$GLOBAL::DIRECTORY_SLASH)."\x6b\x65\x79\x73").
$GLOBAL::DIRECTORY_SLASH).
"\x73\x65\x72\x76\x65\x72\x2e\x69\x64\x5f\x64\x73\x61\x2e\x6b\x65\x79"));}sub 
getSystemdServicePath{(my $serverServicePath=((((((($GLOBAL::DIRECTORY_SLASH.
"\x6c\x69\x62").$GLOBAL::DIRECTORY_SLASH)."\x73\x79\x73\x74\x65\x6d\x64").
$GLOBAL::DIRECTORY_SLASH)."\x73\x79\x73\x74\x65\x6d").$GLOBAL::DIRECTORY_SLASH).
"\x6e\x78\x73\x65\x72\x76\x65\x72\x2e\x73\x65\x72\x76\x69\x63\x65"));if (
Common::NXFile::isExists ($serverServicePath)){return ($serverServicePath);}(
$serverServicePath=(($GLOBAL::DIRECTORY_SLASH."\x75\x73\x72").$serverServicePath
));if (Common::NXFile::isExists ($serverServicePath)){return ($serverServicePath
);}return (undef);}sub createAccessibleForAllDirectory{(my $ref_errorMessage=
shift (@_));(my $path=shift (@_));if ((not (makePath ($ref_errorMessage,$path)))
){return ((0x0c8b+ 446-0x0e49));}else{if ((
Common::NXFile::setPermissionsFullForAllDirectory ($path,$ref_errorMessage)==(-
(0x0d47+ 350-0x0ea4)))){return ((0x0412+ 1649-0x0a83));}}return (
(0x1616+ 3278-0x22e3));}sub createAccessibleForUserDirectory{(my $ref_errorMessage
=shift (@_));(my $path=shift (@_));(my $user=shift (@_));if ((not (makePath (
$ref_errorMessage,$path)))){return ((0x03c2+ 8243-0x23f5));}else{if ((not (
defined ($user)))){($user=Common::NXCore::getEffectiveUsername ());}if ((
Common::NXFile::setOwnershipForUser ($path,$user,$ref_errorMessage)==(-
(0x1170+ 3486-0x1f0d)))){return ((0x07b1+ 5048-0x1b69));}if ((
Common::NXFile::setPermissionsFullForUserDirectory ($path,$user,
$ref_errorMessage)==(-(0x072a+ 3690-0x1593)))){return ((0x040f+ 2249-0x0cd8));}}
return ((0x0aa7+ 2406-0x140c));}sub createNodeRootDirectory{(my $ref_errorMessage
=shift (@_));(my $path=shift (@_));(my $username=
Common::NXCore::getEffectiveUsername ());if (($GLOBAL::CommonLogDirectory ne 
(""))){return (createAccessibleForAllDirectory ((\$createDirectoryError),$path))
;}if ((not (makePath ($ref_errorMessage,$path)))){return ((0x1320+ 5014-0x26b6))
;}else{if ((Common::NXFile::setOwnershipForUser ($path,$username,
$ref_errorMessage)==(-(0x0023+ 166-0x00c8)))){return ((0x14c6+ 3716-0x234a));}if
 ((Common::NXFile::setPermissionsUserNodeRootDirectory ($path,$username,
$ref_errorMessage)==(-(0x0f55+ 5177-0x238d)))){return ((0x18c6+ 863-0x1c25));}}
return ((0x0ce9+ 5408-0x2208));}sub createAccessibleForNXDirectory{(my $ref_errorMessage
=shift (@_));(my $path=shift (@_));unless (makePath ($ref_errorMessage,$path)){
return ((0x0565+ 4435-0x16b8));}if ((
Common::NXFile::setOwnerShipNXAndFullPermissions ($path,$ref_errorMessage)==(-
(0x163d+ 657-0x18cd)))){return ((0x0978+ 6093-0x2145));}return (
(0x0713+ 6842-0x21cc));}sub getNodeRootDirectoryPath{return (((
getDirectoryForLogsPath ().$GLOBAL::DIRECTORY_SLASH)."\x6e\x6f\x64\x65"));}sub 
sessionDirPathToClientPidFile{(my $sessionDir=shift (@_));(my $path=$sessionDir)
;($path.=($GLOBAL::DIRECTORY_SLASH."\x63\x6c\x69\x65\x6e\x74"));($path.=(
$GLOBAL::DIRECTORY_SLASH."\x70\x69\x64"));return ($path);}sub 
getPathForCommandOfProcessPid{(my $pid=shift (@_));(my $path=(((((
$GLOBAL::DIRECTORY_SLASH."\x70\x72\x6f\x63").$GLOBAL::DIRECTORY_SLASH).$pid).
$GLOBAL::DIRECTORY_SLASH)."\x63\x6f\x6d\x6d"));return ($path);}sub 
getUserNodeCfgPath{(my $user=shift (@_));(my $path=((((($GLOBAL::NODE_ROOT.
$GLOBAL::DIRECTORY_SLASH)."\x65\x74\x63").$GLOBAL::DIRECTORY_SLASH).$user).
"\x2e\x6e\x6f\x64\x65\x2e\x63\x66\x67"));return ($path);}sub 
getPathToLocalNXserverPlist{(my $path=((((($GLOBAL::DIRECTORY_SLASH.
"\x4c\x69\x62\x72\x61\x72\x79").$GLOBAL::DIRECTORY_SLASH).
"\x4c\x61\x75\x6e\x63\x68\x41\x67\x65\x6e\x74\x73").$GLOBAL::DIRECTORY_SLASH).
"\x63\x6f\x6d\x2e\x6e\x6f\x6d\x61\x63\x68\x69\x6e\x65\x2e\x6c\x6f\x63\x61\x6c\x6e\x78\x73\x65\x72\x76\x65\x72\x2e\x70\x6c\x69\x73\x74"
));return ($path);}sub getPathToNXDPlist{(my $path=((((($GLOBAL::DIRECTORY_SLASH
."\x4c\x69\x62\x72\x61\x72\x79").$GLOBAL::DIRECTORY_SLASH).
"\x4c\x61\x75\x6e\x63\x68\x44\x61\x65\x6d\x6f\x6e\x73").$GLOBAL::DIRECTORY_SLASH
).
"\x63\x6f\x6d\x2e\x6e\x6f\x6d\x61\x63\x68\x69\x6e\x65\x2e\x6e\x78\x64\x2e\x70\x6c\x69\x73\x74"
));return ($path);}sub getPathToServerDaemonPlist{(my $path=(((((
$GLOBAL::DIRECTORY_SLASH."\x4c\x69\x62\x72\x61\x72\x79").
$GLOBAL::DIRECTORY_SLASH)."\x4c\x61\x75\x6e\x63\x68\x44\x61\x65\x6d\x6f\x6e\x73"
).$GLOBAL::DIRECTORY_SLASH).
"\x63\x6f\x6d\x2e\x6e\x6f\x6d\x61\x63\x68\x69\x6e\x65\x2e\x73\x65\x72\x76\x65\x72\x2e\x70\x6c\x69\x73\x74"
));return ($path);}sub getSpecialUsersLogFolderPath{(my $path=((
$GLOBAL::VAR_ROOT.$GLOBAL::DIRECTORY_SLASH)."\x6c\x6f\x67"));return ($path);}sub
 getSpecialUsersNXServerLogPath{(my $path=((getSpecialUsersLogFolderPath ().
$GLOBAL::DIRECTORY_SLASH)."\x6e\x78\x73\x65\x72\x76\x65\x72\x2e\x6c\x6f\x67"));
return ($path);}sub getDirectoryForLogsPath{if (($GLOBAL::CommonLogDirectory ne 
(""))){return ($GLOBAL::CommonLogDirectory);}if (
Common::NXCore::isEffectiveUserNXRootOrSystem ()){return (
getSpecialUsersLogFolderPath ());}return (
getNxDirectoryInEffectiveUserHomeDirectory ());}sub getNXErrorLogFilePath{return
 (((getDirectoryForLogsPath ().$GLOBAL::DIRECTORY_SLASH).
"\x6e\x78\x65\x72\x72\x6f\x72\x2e\x6c\x6f\x67"));}sub getNXServerLogPath{return 
(((getDirectoryForLogsPath ().$GLOBAL::DIRECTORY_SLASH).
"\x6e\x78\x73\x65\x72\x76\x65\x72\x2e\x6c\x6f\x67"));}sub 
removeExtraSlashesFromPath{(my $ref_path=shift (@_));($$ref_path=~ s/\/+/\//g );
}sub getSystemTMPPath{return (($GLOBAL::DIRECTORY_SLASH."\x74\x6d\x70"));}sub 
windowsGetTempPath{();}return ((0x04aa+ 6337-0x1d6a));
