#!/bin/bash
######################################################################
#                                                                    #
#  Copyright (c) 2001, 2021 NoMachine, http://www.nomachine.com.     #
#                                                                    #
#  All rights reserved.                                              #
#                                                                    #
######################################################################

RunDir=${0%nxdisableAvc.sh}
RestrictedDir=$(cd "${RunDir}" && pwd)

PARAMS_COUNT=2

. "${RestrictedDir}"/nxfunct.sh

isRunByServer

LIC_PATH="${NX_ROOT}/lib/libx264.so"
LIC_PATH_DISABLED="${NX_ROOT}/lib/libx264.so.disabled"

if test -e "${LIC_PATH}"; then
  exec "${COMMAND_MV}" "${LIC_PATH}" "${LIC_PATH_DISABLED}"
fi

exit 0

