#!/bin/bash
######################################################################
#                                                                    #
#  Copyright (c) 2001, 2021 NoMachine, http://www.nomachine.com.     #
#                                                                    #
#  All rights reserved.                                              #
#                                                                    #
######################################################################

RunDir=${0%nxloginctl.sh}
RestrictedDir=$(cd "${RunDir}" && pwd)

PARAMS_COUNT_MIN=4
PARAMS_COUNT_MAX=4

. "${RestrictedDir}"/nxfunct.sh

isRunByNode

getNXRoot

if test -x "/bin/loginctl"; then
  COMMAND_LOGINCTL="/bin/loginctl"
elif test -x "/usr/bin/loginctl"; then
  COMMAND_LOGINCTL="/usr/bin/loginctl"
else
  errorCommandNotFound "loginctl" "1"
fi

${COMMAND_LOGINCTL} $3 $4

